<?php
	$this->language( 'module/themecontrol' );
	$objlang = $this->registry->get('language');
?>
<div id="header-top">
	<div id="topbar" class="topbar-v1">
		<div class="container">				
			<div class="inner clearfix">
				<div class="show-desktop">
					<div class="quick-access">
						<div class="login links">
							<?php if ($logged) { ?>
								<a href="<?php echo $logout; ?>"><?php echo $text_logout; ?></a>
							<?php } else { ?>
								<a href="<?php echo $register; ?>"><?php echo $text_register; ?></a> or
								<a href="<?php echo $login; ?>"><?php echo $text_login; ?></a>		
							<?php } ?>	
						</div>
						<!-- Single button -->
						<div class="btn-group">
							<div class="dropdown-toggle btn-theme-normal" >
								<i class="fa fa-user"></i>
								<span class="fa fa-angle-down"></span>									
							</div>
							
							<div class="quick-setting dropdown-menu">
								<ul>								
									<li><a href="<?php echo $wishlist; ?>" id="wishlist-total"><span class="fa fa-heart"></span><?php echo $text_wishlist; ?></a></li>
									<li><a href="<?php echo $account; ?>"><span class="fa fa-user"></span><?php echo $text_account; ?></a></li>
									<li><a href="<?php echo $shopping_cart; ?>"><span class="fa fa-shopping-cart"></span><?php echo $text_shopping_cart; ?></a></li>
									<li><a class="last" href="<?php echo $checkout; ?>"><span class="fa fa-file"></span><?php echo $text_checkout; ?></a></li>
								</ul>	
							</div>
						</div>

						<div class="btn-group">
							<div class="dropdown-toggle btn-theme-normal" >
								<i class="fa fa-cog"></i>
								<span class="fa fa-angle-down"></span>									
							</div>
							
							<div class="quick-localisation dropdown-menu">
								<div class="language">
									<?php echo $language; ?>
								</div>
								<div class="currency">
									<?php echo $currency; ?>
								</div> 	
							</div>
						</div>						

					</div>
					<div class="quick-action hidden-sm hidden-xs">
						<?php echo $cart; ?>
						<div class="btn-group search-focus">
							<div class="dropdown-toggle btn-theme-normal" >
								<i class="fa fa-search"></i>
								<span class="text-label">Search</span>									
							</div>
						</div>
					</div>
				</div>
			</div>	
		</div>
	</div>

	<div class="main-menu mainnav-v1">	
		<div class="nav-search visible">
	    	<?php echo $search; ?>
		</div>		
		<div class="container">
			<div class="row">
				<div class="col-lg-3 col-md-3 col-sm-12 col-xs-12 logo inner">
					<?php if( $logoType=='logo-theme'){ ?>
					<div id="logo-theme">
						<a href="<?php echo $home; ?>">
							<span><?php echo $name; ?></span>
						</a>
					</div>
					<?php } elseif ($logo) { ?>
					<div id="logo"><a href="<?php echo $home; ?>"><img src="<?php echo $logo; ?>" title="<?php echo $name; ?>" alt="<?php echo $name; ?>" /></a></div>
					<?php } ?> 
				</div>	
				<div id="pav-mainnav" class="col-lg-9 col-md-9 col-sm-12 col-xs-12">
					<button data-toggle="offcanvas" class="btn btn-warning canvas-menu hidden-lg hidden-md" type="button"><span class="fa fa-bars"></span> Menu</button>
					<?php
					/**
					 * Main Menu modules: as default if do not put megamenu, the theme will use categories menu for main menu
					 */
					$modules = $helper->renderModule('pavmegamenu');

					if (count($modules) && !empty($modules)) { ?>

					    
					<?php echo $modules; ?>
					 

					<?php } elseif ($categories) { ?>

				<div class="navbar navbar-inverse"> 
					<nav id="mainmenutop" class="pav-megamenu" role="navigation"> 
						<div class="navbar-header">
							<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-ex1-collapse">
								<span class="sr-only">Toggle navigation</span>
								<span class="fa fa-bars"></span>
							</button>
						</div>

						<div class="offcanvas navbar-collapse navbar-ex1-collapse hidden-sm hidden-xs">
							<ul class="nav navbar-nav">
				                <li><a href="<?php echo $home; ?>" title="<?php echo $this->language->get('text_home'); ?>"><?php echo $this->language->get('text_home'); ?></a></li>
			                    <?php foreach ($categories as $category) { ?>
			                        <?php if ($category['children']) { ?>			
			                            <li class="parent dropdown deeper ">
			                                <a href="<?php echo $category['href']; ?>" class="dropdown-toggle" data-toggle="dropdown"><?php echo $category['name']; ?>
			                                    <b class="fa fa-angle-down"></b>
			                                    <span class="triangles"></span>
			                                </a>
			                            </li>
			                            <?php } else { ?>
			                            <li>
			                                <a href="<?php echo $category['href']; ?>"><?php echo $category['name']; ?></a>
			                            <?php } ?>
			                            <?php if ($category['children']) { ?>
			                                <ul class="dropdown-menu">
			                                    <?php for ($i = 0; $i < count($category['children']);) { ?>
			                                        <?php $j = $i + ceil(count($category['children']) / $category['column']); ?>
			                                        <?php for (; $i < $j; $i++) { ?>
			                                            <?php if (isset($category['children'][$i])) { ?>
			                                                <li><a href="<?php echo $category['children'][$i]['href']; ?>"><?php echo $category['children'][$i]['name']; ?></a></li>
			                                            <?php } ?>
			                                        <?php } ?>
			                                    <?php } ?>
			                                </ul>
			                            <?php } ?>
			                        </li>
			                    <?php } ?>		                    
			                	</ul>
							</div>	
						</nav>
					</div>   
					<?php } ?>
				</div>
			</div>	
		</div>	
	</div>
	
</div>
